Add a new line item to a credit note

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

credit_note_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
descriptionstringOptional
Detailed description of the line item
namestringOptional
Name or title of the line item
quantitydoubleOptional>=0
Quantity of items
taxintegerOptional<=10000

VAT rate in percent minor units. Example: 12.5% is 1250.

unitstringOptional
Unit of measurement
unit_priceintegerOptional

Price per unit in smallest currency unit (e.g. cents)

Response

Successful Response
idstringformat: "uuid"
Unique identifier of the line item
created_atdatetime
Timestamp when the line item was created
updated_atdatetime
Timestamp when the line item was last updated
credit_note_idstringformat: "uuid"
ID of the parent credit note
created_by_user_idstringformat: "uuid"
ID of the user who created the line item
descriptionstring
Detailed description of the line item
namestring
Name or title of the line item
quantitydouble>=0
Quantity of items
subtotalinteger
Subtotal amount before tax
taxinteger>=0
Tax percentage
tax_amountinteger
Tax amount
totalinteger
Total amount including tax
unitstring
Unit of measurement
unit_priceinteger
Price per unit in smallest currency unit

Errors

401
Post Payable Credit Notes ID Line Items Request Unauthorized Error
403
Post Payable Credit Notes ID Line Items Request Forbidden Error
404
Post Payable Credit Notes ID Line Items Request Not Found Error
422
Post Payable Credit Notes ID Line Items Request Unprocessable Entity Error
500
Post Payable Credit Notes ID Line Items Request Internal Server Error